dots.v2.registry.byRegistry_name().garbageCollection.byGarbage_collection_uuid().put()

Generated on 5 Nov 2026 from DoTs version v1.23.0

deprecated

Usage

client.v2.registry.byRegistry_name(registry_name).garbageCollection.byGarbage_collection_uuid(garbage_collection_uuid).put(body: Update_registry, requestConfiguration?: RequestConfiguration<object>): Promise<undefined | WithGarbage_collection_uuPutResponse>

Description

Note: This endpoint is deprecated. Please use the /v2/registries endpoint instead.

To cancel the currently-active garbage collection for a registry, send a PUT request to /v2/registry/{registry_name}/garbage-collection/{garbage_collection_uuid} and specify one or more of the attributes below.

Parameters

Path Parameters

registry_name string required

Example: example

The name of a container registry.

garbage_collection_uuid string required

Example: eff0feee-49c7-4e8f-ba5c-a320c109c8a8

The UUID of a garbage collection run.

Request Body

cancel boolean optional

Example: true

A boolean value indicating that the garbage collection should be cancelled.

Request Sample

Show Request Sample
import { FetchRequestAdapter } from "@microsoft/kiota-http-fetchlibrary";
import {
    createDigitalOceanClient,
    DigitalOceanApiKeyAuthenticationProvider,
} from "@digitalocean/dots";

const authProvider = new DigitalOceanApiKeyAuthenticationProvider(process.env.DIGITALOCEAN_TOKEN!);
const adapter = new FetchRequestAdapter(authProvider);
const client = createDigitalOceanClient(adapter);

const response = await client.v2.registry
    .byRegistry_name("example").garbageCollection
    .byGarbage_collection_uuid("eff0feee-49c7-4e8f-ba5c-a320c109c8a8").put({
    cancel: true,
});

Response Example

Show Response Example
{
  "garbage_collection": {
    "uuid": "eff0feee-49c7-4e8f-ba5c-a320c109c8a8",
    "registry_name": "example",
    "status": "requested",
    "created_at": "2020-10-30T21:03:24Z",
    "updated_at": "2020-10-30T21:03:44Z",
    "blobs_deleted": 42,
    "freed_bytes": 667
  }
}

More Information

See /v2/registry/{registry_name}/garbage-collection/{garbage_collection_uuid} in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.